Show / Hide Table of Contents

# Delegate ChatGui.OnMessageDelegate

###### Namespace: Dalamud.Game.Internal.Gui

###### Assembly: Dalamud.dll

##### Syntax

    public delegate void OnMessageDelegate(XivChatType type, uint senderId, ref SeString sender, ref SeString message, ref bool isHandled);

##### Parameters

Type | Name | Description
--- | --- | ---
XivChatType | type |
System.UInt32 | senderId |
SeString | sender |
SeString | message |
System.Boolean | isHandled |